CORBA_IDL = ${CORBA_INSTALL}/share/idl/omniORB
BASE = EventLibIDL
TARGETS = ${OUTPUTS}/$(BASE).hh ${OUTPUTS}/$(BASE)_i.cc ${OUTPUTS}/$(BASE)DynSK.cc ${OUTPUTS}/$(BASE)SK.cc

all: $(TARGETS)

$(TARGETS): ${SRCROOT}/$(BASE).idl ${SRCROOT}/$(BASE).make
	@echo $(CORBA_IDL)
	omniidl -bcxx -C${OUTPUTS} -Wba -Wbexample -Wbtp -I${CORBA_IDL} -I${CORBA_IDL}/COS ${SRCROOT}/$(BASE).idl
	@echo Updated `date` > ${OUTPUTS}/updated-flag
